Skip to main content
PATCH
Update user entities

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
tenantId
string<uuid>
required

Tenant ID

Example:

"40c1d320-3048-4e61-9faa-7f73d6886616"

managerId
string<uuid>

User manager ID

Example:

"066804be-6469-48ff-a787-12794368b6ea"

roleIds
string<uuid>[]

User roles IDs

Example:
positionIds
string<uuid>[]

User positions IDs

Example:
groups
object[]

User groups

Example:
email
string<email>

Email address

Maximum string length: 100
name
string
deprecated

Full name

Maximum string length: 50
Example:

"Eula Cummerata"

displayName
string

Display name

Maximum string length: 50
Example:

"Carroll Osinski"

firstName
string

First name

Maximum string length: 50
Example:

"Ora"

lastName
string

Last name

Maximum string length: 20
Example:

"Spinka"

accountType
string

Type of account

Maximum string length: 20
Example:

"k"

userType
string

Type of user

Maximum string length: 20
Example:

"X"

employeeId
string

Employee ID

Example:

"O"

employeeNumber
string

Employee Number

Example:

"p"

employeeType
string

Type of employment

Maximum string length: 20
Example:

"NRluvYCyZe"

employmentType
string

Employment Type

Maximum string length: 20
Example:

"NMlYVixcbD"

mobilePhone
string

Mobile phone

Maximum string length: 25
Pattern: /^[+()0-9.\s-]{7,25}$/
Example:

"+1 (555) 123-4567"

profileImageUrl
string

User profile image URL

Maximum string length: 50
Example:

"https://picsum.photos/seed/jGHXAfjJ7/3232/1932"

currencyCode
string

Display currency Code

Example:

"USD"

currencyName
string

Display currency Name

Example:

"US Dollars"

status
enum<string>

User status

Available options:
ACTIVE,
INACTIVE,
INVITED,
DELETED
Example:

"ACTIVE"

dateFormat
string

Date format preference

Example:

"MM/DD/YYYY"

sourceId
string

Source ID

Maximum string length: 100
Example:

"2nFu2AI5LqVDHijIv3fR"

actorType
string

Actor type

Maximum string length: 50
Example:

"eCMJYkjHwy"

aiAgentType
string

AI agent type

Maximum string length: 50
Example:

"bPoBClRbegbntvb"

startDate
string<date-time>

Start date

Example:

"2025-10-14T14:16:32.154Z"

terminationDate
string<date-time>

Termination date

Example:

"2026-12-14T14:15:37.653Z"

customAttributes
object

Custom attributes as JSON object

Example:

Response

200 - application/json

User details and entities updated successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-12T09:10:12.337Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data